Bug 447436 - openmpi should own %{_libdir}/%{mpidir}/bin directory
openmpi should own %{_libdir}/%{mpidir}/bin directory
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openmpi (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Doug Ledford
:
Depends On:
Blocks: 445005
  Show dependency treegraph
 
Reported: 2008-05-19 17:44 EDT by Milan Zázrivec
Modified: 2009-01-20 16:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:03:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2008-05-19 17:44:11 EDT
Description of problem:
openmpi package should own %{_libdir}/%{mpidir}/bin directory. Currently
it installs and owns several files under it, not the directory itself.
This currently leads to /usr/lib/openmpi/1.2.5-gcc/bin and
/usr/lib64/openmpi/1.2.5-gcc being mislabeled (meaning selinux context)
during package installation.

Version-Release number of selected component (if applicable):
openmpi-1.2.5-5.el5

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL5.2, openmpi included, selinux enabled
2. # rpm -qf /usr/lib/openmpi/1.2.5-gcc/bin/
3. # setfiles -vqn /etc/selinux/targeted/contexts/files/file_contexts \
   /usr/lib/openmpi/1.2.5-gcc/bin/
  
Actual results:
# rpm -qf /usr/lib/openmpi/1.2.5-gcc/bin/
file /usr/lib/openmpi/1.2.5-gcc/bin is not owned by any package
# setfiles -vqn /etc/selinux/targeted/contexts/files/file_contexts \
/usr/lib/openmpi/1.2.5-gcc/bin/
setfiles:  relabeling /usr/lib/openmpi/1.2.5-gcc/bin from
system_u:object_r:lib_t:s0 to system_u:object_r:bin_t:s0

Additional info:
Low priority thing, very unlikely to cause any harm.
Comment 1 RHEL Product and Program Management 2008-07-21 19:02:21 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 Gurhan Ozen 2008-10-06 11:52:06 EDT
# rpm -qf /usr/lib/openmpi/1.2.7-gcc/bin
openmpi-1.2.7-2.el5
# ls -ldtrZ  /usr/lib/openmpi/1.2.7-gcc/bin
drwxr-xr-x  root root system_u:object_r:bin_t:s0       /usr/lib/openmpi/1.2.7-gcc/bin
Comment 6 errata-xmlrpc 2009-01-20 16:03:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0152.html

Note You need to log in before you can comment on or make changes to this bug.